# RPM spec file for FFTW.
# This file is used to build Redhat Package Manager packages for the
# FFTW library.  Such packages make it easy to install and uninstall
# the library and related files from binaries or source.
#
# This spec file is for version 2.1.2 of FFTW, and will need to be
# modified for future releases.  First, the string "2.1.2" should
# be replaced everywhere in this file with the new version number.
# Second, the shared library version numbers (in the %files list)
# will need to be updated.  Any other changes in the installed files
# list, build commands, etcetera will of course also require changes.
#
# The icon associated with this package can be downloaded from:
#     http://theory.lcs.mit.edu/~fftw/fftw-logo-thumb.gif
# and will need to be placed in the SOURCES directory to build the RPM.
#
Name: fftw
Summary: C subroutines for computing the Discrete Fourier Transform.
Version: 2.1.3
Release: 2
Copyright: GPL
#Icon: fftw-logo-thumb.gif
Group: Development/Libraries
Prefix: %{_prefix}usr
Source: ftp://theory.lcs.mit.edu/pub/fftw/fftw-%{version}.tar.gz
URL: http://theory.lcs.mit.edu/~fftw
BuildRoot: /var/tmp/%{name}-root

%description
FFTW is a collection of fast C routines for computing the Discrete
Fourier Transform in one or more dimensions.  It includes complex,
real, and parallel transforms, and can handle arbitrary array sizes
efficiently.  This package includes both the double- and
single-precision FFTW uniprocessors and the threads libraries.

%package devel
Summary: Development files for the FFTW Discrete Fourier Transform library.
Group: Development/Libraries
Prefix: /usr
Requires: fftw = 2.1.3-1

%description devel
This package contains the additional header files, documentation, and
libraries you need to develop programs using the FFTW fast fourier
transform library.

%prep
%setup -q

%ifarch i386
%configure --enable-shared --enable-type-prefix --enable-i386-hacks --enable-threads
%else
%configure --enable-shared --enable-type-prefix --enable-threads
%endif

%build

make

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=${RPM_BUILD_ROOT}%{_prefix}

# hack to also compile/install single-precision version:
make distclean
%configure --enable-shared --enable-type-prefix --enable-threads --enable-float
make
make install prefix=${RPM_BUILD_ROOT}%{_prefix}

gzip $RPM_BUILD_ROOT%{_prefix}/info/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/lib/libdfftw.so.2.0.5
%{_prefix}/lib/libdfftw_threads.so.2.0.5
%{_prefix}/lib/libdrfftw.so.2.0.5
%{_prefix}/lib/libdrfftw_threads.so.2.0.5
%{_prefix}/lib/libsfftw.so.2.0.5
%{_prefix}/lib/libsfftw_threads.so.2.0.5
%{_prefix}/lib/libsrfftw.so.2.0.5
%{_prefix}/lib/libsrfftw_threads.so.2.0.5
%{_prefix}/lib/libdfftw.so.2
%{_prefix}/lib/libdfftw_threads.so.2
%{_prefix}/lib/libdrfftw.so.2
%{_prefix}/lib/libdrfftw_threads.so.2
%{_prefix}/lib/libsfftw.so.2
%{_prefix}/lib/libsfftw_threads.so.2
%{_prefix}/lib/libsrfftw.so.2
%{_prefix}/lib/libsrfftw_threads.so.2
%files devel
%{_prefix}/include/dfftw.h
%{_prefix}/include/dfftw_threads.h
%{_prefix}/include/drfftw.h
%{_prefix}/include/drfftw_threads.h
%{_prefix}/include/sfftw.h
%{_prefix}/include/sfftw_threads.h
%{_prefix}/include/srfftw.h
%{_prefix}/include/srfftw_threads.h
%{_prefix}/info/*
%{_prefix}/lib/libdfftw.a
%{_prefix}/lib/libdfftw.la
%{_prefix}/lib/libdfftw.so
%{_prefix}/lib/libdfftw_threads.a
%{_prefix}/lib/libdfftw_threads.la
%{_prefix}/lib/libdfftw_threads.so
%{_prefix}/lib/libdrfftw.a
%{_prefix}/lib/libdrfftw.la
%{_prefix}/lib/libdrfftw.so
%{_prefix}/lib/libdrfftw_threads.a
%{_prefix}/lib/libdrfftw_threads.la
%{_prefix}/lib/libdrfftw_threads.so
%{_prefix}/lib/libsfftw.a
%{_prefix}/lib/libsfftw.la
%{_prefix}/lib/libsfftw.so
%{_prefix}/lib/libsfftw_threads.a
%{_prefix}/lib/libsfftw_threads.la
%{_prefix}/lib/libsfftw_threads.so
%{_prefix}/lib/libsrfftw.a
%{_prefix}/lib/libsrfftw.la
%{_prefix}/lib/libsrfftw.so
%{_prefix}/lib/libsrfftw_threads.a
%{_prefix}/lib/libsrfftw_threads.la
%{_prefix}/lib/libsrfftw_threads.so

%changelog
* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- fixed info pages not being gzipped

* Tue Nov 9 1999 Tim Powers <timp@redhat.com>
- updated to 2.1.3

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Fri Aug  6 1999 Jeff Johnson <jbj@redhat.com>
- package for powertools.
